<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingBottom="16dp"
    android:layout_gravity="bottom"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/bg_shape_white_radius_12_top_only">

    <TextView
        android:id="@+id/title"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:includeFontPadding="false"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:textColor="@color/text_primary"
        android:gravity="center"
        android:textSize="16sp"
        android:textStyle="bold"
        android:text="@string/servers_calendar_time_setting_dialog_title"/>

    <View
        android:id="@+id/datetime_picker_select_bg"
        android:layout_width="match_parent"
        android:layout_height="36dp"
        android:background="@drawable/bg_shape_f5_radius_8"
        app:layout_constraintTop_toTopOf="@id/datetime_picker"
        app:layout_constraintBottom_toBottomOf="@id/datetime_picker" />

    <LinearLayout
        android:id="@+id/datetime_picker"
        android:layout_width="match_parent"
        android:layout_height="160dp"
        android:orientation="horizontal"
        app:layout_constraintTop_toBottomOf="@id/title">

        <com.contrarywind.view.WheelView
            android:id="@+id/date"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <com.contrarywind.view.WheelView
            android:id="@+id/hour"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <com.contrarywind.view.WheelView
            android:id="@+id/minute"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1" />

    </LinearLayout>

    <View
        android:id="@+id/datetime_picker_mask_top"
        android:layout_width="match_parent"
        android:layout_height="20dp"
        android:background="@drawable/bg_datetime_picker_mask_top"
        app:layout_constraintTop_toTopOf="@id/datetime_picker" />

    <View
        android:id="@+id/datetime_picker_mask_bottom"
        android:layout_width="match_parent"
        android:layout_height="20dp"
        android:background="@drawable/bg_datetime_picker_mask_bottom"
        app:layout_constraintBottom_toBottomOf="@id/datetime_picker" />

    <TextView
        android:id="@+id/cancel"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:text="@string/servers_calendar_time_setting_dialog_cancel"
        android:gravity="center"
        android:layout_marginTop="16dp"
        android:textSize="14sp"
        android:textColor="@color/text_secondary"
        android:background="@drawable/bg_shape_f5_radius_999"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/datetime_picker"
        app:layout_constraintEnd_toStartOf="@id/confirm" />

    <TextView
        android:id="@+id/confirm"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:text="@string/servers_calendar_time_setting_dialog_confirm"
        android:gravity="center"
        android:background="@drawable/download_button_normal_style"
        android:textColor="@color/white"
        android:textSize="14sp"
        android:layout_marginStart="8dp"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintTop_toTopOf="@id/cancel"
        app:layout_constraintBottom_toBottomOf="@id/cancel"
        app:layout_constraintStart_toEndOf="@id/cancel"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>